<template lang="pug">
	article.tarjeta(:class="[estado,{expandido},{fija}]")
		header(@click="alternar")
			.icono( v-if="this.$slots.icono" ): slot(name="icono")
			h3 {{ titulo }}
		.contenedor: .contenido
			slot
</template>

<script>
	export default {
		name: "Tarjeta",
		props: {
			titulo: {
				type: String,
				required: true
			},
			estado: String,
			expandir: {
				type: Boolean,
				default: true
			},
			fija: {
				type: Boolean,
				default: false
			}
		},
		data() {
			return { expandido: false };
		},
		mounted() {
			this.expandido = this.expandir;
		},
		methods: {
			alternar(evt) {
				if (!this.fija) {
					this.expandido = !this.expandido;
				}
			}
		}
	};
</script>

<style lang="stylus">
	@import "~nib/index"
	@import "../stylus/base/utiles.styl"

	.tarjeta
		overflow hidden
		border-radius .5rem .5rem 0 0
		border 1px solid lighten( gris, 75% )
		background-color fondo_listado

		header
			cursor pointer
			background-color lighten( gris, 75% )
			padding .8rem 1rem
			font-size 1rem
			color darken( gris, 50% )
			display flex
			align-items center

			.icono
				max-width 20px
				margin-right .5rem
				color darken( blanco, 30% )

			h3
				font-size calcRem( 12 )

		&.activo
			border none

			header
				background-color negro
				color blanco

				.icono
					color blanco

		.contenedor
			max-height 0
			transition all 350ms
			box-sizing border-box
			overflow hidden

		&.expandido
			.contenedor
				max-height none
				overflow auto

		&.fija
			.contenedor
				max-height none
				overflow auto

		.contenido
			padding 1rem
			color gris
			// background-color tint( azul, 80% )
</style>
